---
title: "贡献指南"
author: "thehrz"
time: "2023-02-15T22:23:48+08:00"
---

# 贡献指南

本文介绍了向 [19yuke2](https://git.thehrz.net/19yuke2-project/19yuke2) 创建 `合并请求` 的完整操作步骤。

本文不对 Git 做过多介绍，若你想更多了解 Git，你可以自行学习它。但是对于想要编辑文章的同学们来说，学习以下步骤即可处理大部分情况。

我们十分欢迎来自同学们的贡献，您只需 4 个步骤即可完成对本站任意文章 (Post) 的更改。

## Step 1:  注册「贡献账号」

接下来一切的前提是: 你需要注册并登录一个 「贡献账号」，用于向本站点提交更改。

打开此网站: [Thehrz's Git Server](https://git.thehrz.net/)。

![](/images/posts/contribute/contribute_0.png)

点击 `注册`。

![](/images/posts/contribute/contribute_1.png)

填写基本信息后点击 `注册账号`。

![](/images/posts/contribute/contribute_2.png)

若成功注册账号，您将自动跳转到个人工作台，并提示 `帐户创建成功。`。至此账号注册完毕。

## Step 2: 派生 (Fork) 主仓库

打开此地址: [19yuke2](https://git.thehrz.net/19yuke2-project/19yuke2)。

![](/images/posts/contribute/contribute_3.png)

点击 `派生`。

![](/images/posts/contribute/contribute_4.png)

点击`派生仓库`。

![](/images/posts/contribute/contribute_5.png)

这样，您就获得了一个属于自己的`19yuke2`仓库，接下来将指导您更改文件。

## Step 3: 更改文件并创建提交

变更是指对一个文件的**创建**、**修改**、**删除**等操作。下面我们将指导您在线变更文件。

> **请注意:  所有文章都放置在 `src/posts` 下**

### 创建文件

转到 `src/posts` 目录下。

![](/images/posts/contribute/contribute_6.png)

点击 `添加文件 -> 新建文件`。

> 请注意: 应新建 `.md `文件，比如 `jwd.md` 就是一个合法的文件名。

![](/images/posts/contribute/contribute_7.png)

添加一些内容，这里添加了 `jwd.md` 到 `src/post/teachers` 目录下。

完成后翻到页面最下方。

![](/images/posts/contribute/contribute_8.png)

![](/images/posts/contribute/contribute_9.png)

我们仅仅需要为我们的 `提交` 添加一个`提交名`即可完成提交，比如这里的提交名是 `Add jwd.md`。

> 请注意: 在没有更改文件更改文件或没有提交名时，提交按钮将不可点击，我们无法提交。

![](/images/posts/contribute/contribute_10.png)

点击 `提交变更` 即可完成提交。

![](/images/posts/contribute/contribute_11.png)

![](/images/posts/contribute/contribute_12.png)

我们发现提交已经生效。

### 修改文件

我们不难发现刚才的`创建文件`部分出现了一个错误。

![](/images/posts/contribute/contribute_13.png)

我们应该创建 `src/posts/teachers/jwd.md` 而不是 `src/post/teachers/jwd.md`。

这时候我们就可以修改文件了。

![](/images/posts/contribute/contribute_14.png)

点击`编辑文件`。

![](/images/posts/contribute/contribute_15.png)

完成对文件的修改后还是向上文提到的那样提交即可。

### 删除文件

![](/images/posts/contribute/contribute_16.png)

点击`删除文件`。

![](/images/posts/contribute/contribute_17.png)

向上文提到的那样提交即可。

## Step 4: 创建合并请求

我们在 `Step 3: 更改文件并创建提交`  对文件进行了更改并创建。

创建 `合并提交` 的前提是你的仓库有提交。

下面开始创建 `合并请求`。

![](/images/posts/contribute/contribute_18.png)

点击 `合并请求`。

![](/images/posts/contribute/contribute_19.png)

点击 `创建合并请求`。

![](/images/posts/contribute/contribute_20.png)

点击 `合并到` 选择为 `thehrz:main`。

![](/images/posts/contribute/contribute_21.png)

确认无误后，点击 `创建合并请求`。

![](/images/posts/contribute/contribute_22.png)

写一些描述后，点击 `创建合并请求`。

![](/images/posts/contribute/contribute_23.png)

这样我们就成功创建了一个 `合并请求`。
